Bug 189088 - Review Request: knemo Network monitor applet.
Review Request: knemo Network monitor applet.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
: 192524 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-15 17:32 EDT by Richard June
Modified: 2012-12-04 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 08:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard June 2006-04-15 17:32:57 EDT
I do not have a sponsor for this. Both SRPM and RPM pass rpmlint with no errors, and I checked it against my previous submission. The only thing I'm not 100% on is %{_datadir}/*/*/*/* in the %files section.

knemo.spec: http://home.bravegnuworld.com/~rjune/rpm/SPECS/knemo.spec

SRPM URL: http://home.bravegnuworld.com/~rjune/rpm/SRPMS/knemo-0.4.0-1.src.rpm

Description: 
A network monitor application for KDE. It's very similar to
windows Network monitor.
Comment 1 Christoph Wickert 2006-05-20 08:52:46 EDT
*** Bug 192524 has been marked as a duplicate of this bug. ***
Comment 2 Aurelien Bompard 2006-05-20 13:29:51 EDT
Needs work:
* No downloadable source. Please give the full URL in the Source tag.
* Desktop file: vendor should be fedora (wiki: PackagingGuidelines#desktop)
* Desktop file: the Categories tag should contain Application and X-Fedora
  (wiki: PackagingGuidelines#desktop)
* The translation files are not properly tagged, use the %find_lang macro
  (wiki: Packaging/ReviewGuidelines)
* Scriptlets: missing "gtk-update-icon-cache" in %post and %postun (wiki:
ScriptletSnippets)
* Don't rm -rf $RPM_BUILD_ROOT in %prep, it breaks rpm -qi --short-circuit
* The "-n %{name}-%{version}" part in %setup is useless, it's already the 
  default
* export QTDIR=/usr/lib/qt-3.3/ should be replaced by:
    unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
    export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
  and it should be moved at the top of %build
* %configure should be moved in %build
* The BuildRoot must be cleaned at the beginning of %install
* Use make install, not make install-strip. RPM will strip the binaries by itself
* INSTALL is useless as a %doc, we're using RPM.
* %{_datadir}/*/*/*/* is a too generic, use %{_datadir}/icons/*/*/*/*.png
* The directory /usr/share/apps/knemo/ should be owned by the package

Comment 3 Hans de Goede 2006-05-20 15:09:02 EDT
(In reply to comment #2)
> Needs work:
> * The directory /usr/share/apps/knemo/ should be owned by the package
> 

And it should be /usr/share/knemo/ not /usr/share/apps/knemo/
Comment 4 Hugo Cisneiros 2006-05-20 15:18:07 EDT
Per default, KDE applications use the /usr/share/apps instead of /usr/share.
Comment 5 Hans de Goede 2006-05-20 15:26:33 EDT
Ugly :) But it seems you'r correct, sorry mybad.
Comment 6 Hugo Cisneiros 2006-05-20 17:32:21 EDT
Oh my god, I shouldn't have done this, but...

SPEC: http://www.devin.com.br/eitch/rpm/fedora/SPECS/knemo.spec
SRPM: http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/knemo-0.4.0-2.src.rpm
Comment 7 Hans de Goede 2006-05-20 17:47:48 EDT
(In reply to comment #6)
> Oh my god, I shouldn't have done this, but...
> 

Indeed you shouldn't. As said I think its great you want to create more packages
for Fedora. I also understand that you've put time and energy into sparse and
thus don't want to just walk away just because somebodyelse is also working on
it*. But you can't just hijack thihs package let alone this review request. 

Please try to contact Richard June (rjune@bravegnuworld.com) and work together
with him on this.

You could do a comaintainer ship: Merge your 2 specfiles using the best parts of
both. Then one of you imports it into cvs and becomes the owner as specified in
owners.list, the others bugzilla email gets put in the initial-CC field of
owners.list, so that he gets all bugzilla mail related to the package 2, then
you can coordinate bugfixes for Bz bugs through BZ and other bugfixes / new
releases through private mail.


* been there done that myself, search the f-e-l mailing list archives on
monkey-bubble
Comment 8 Hugo Cisneiros 2006-05-20 18:17:38 EDT
(In reply to comment #7)
> > Oh my god, I shouldn't have done this, but...
> 
> Indeed you shouldn't. As said I think its great you want to create more 
packages
> for Fedora. I also understand that you've put time and energy into sparse 
and
> thus don't want to just walk away just because somebodyelse is also working 
on
> it*. But you can't just hijack thihs package let alone this review request. 

I'm not trying to overtake the package. Like I said in the other bug, I made a 
mistake and recognized that. But as I am exercising my package work, I made my 
last available SPECS and SRPMS for the maintainer (Richard June) to use it (I 
already did it before Aurelien duplicated my bug). Since my spec conforms with 
many things noted by the reviewer, he can use it freely to learn and get this 
package available in Extras on short-time.

> Please try to contact Richard June (rjune@bravegnuworld.com) and work 
together
> with him on this.

I sent an e-mail to him early talking about this, asking him if he still wants 
to maintain the package, and pointing my work so that if he wants to maintain, 
he can use a more-correct specfile ;) 

> You could do a comaintainer ship: Merge your 2 specfiles using the best 
parts of
> both. Then one of you imports it into cvs and becomes the owner as specified 
in
> owners.list, the others bugzilla email gets put in the initial-CC field of
> owners.list, so that he gets all bugzilla mail related to the package 2, 
then
> you can coordinate bugfixes for Bz bugs through BZ and other bugfixes / new
> releases through private mail.

It is a great idea, but if he wants to maintain the package and use my 
specfile, he can do it and I will not want any credits for it :P Just think of 
it as a replacement for my mistake (not looking in FE-NEW bug).

I'll wait an answer from him, and one more time: I am very sorry about this 
issue! This won't happen again.
Comment 9 Aurelien Bompard 2006-05-21 04:39:40 EDT
Hugo, just to make it clear: I understand your motives and it's nice of you to
help Richard with this package. Except, you're giving him a fish, instead of
teaching him how to fish.

About the *.la files, the ones directly in /usr/lib/*.la are safe to remove, but
the others are often needed by KDE.
Comment 10 Hugo Cisneiros 2006-05-22 15:30:29 EDT
Hi guys, I received an e-mail by Richard June regarding this issue:

Message was signed with unknown key 0x0B7A5FDA3258B581.
The validity of the signature cannot be verified.
Status: No public key to verify the signature

  Actually, I'm not particularly interested in maintaining knemo. 
I would happily concede maintainership to you

-- 
Chuck Norris is a hack. MacGyver could build a gun from a paperclip and shoot 
Chuck Norris, then build a Stargate from a toaster and hide the body on some 
planet with no food whatsoever for when Chuck Norris wakes up.

Public Key available Here:
http://www.bravegnuworld.com/~rjune/pubkey.asc
Did I make your life better?
http://home.bravegnuworld.com/~rjune/appreciation.html
End of signed message

If you need other information I can forward the e-mail or ask him to send an 
e-mail or post here (I don't think it's necessary, but...).

Now I can use my specfile for this review, I would be glad if someone can 
review it to include quality software as soon as possible in Extras :) Thanks!
Comment 11 Aurelien Bompard 2006-05-25 06:02:40 EDT
Needs work:
* Desktop files installed in %{_datadir}/applications/kde don't need the
"--vendor fedora" namespace, they already have kde (they are in the kde subdir).
* As a consequence, you don't need to rename them afterwards.

Notes:
* Why drop the keywords from the desktop file ?

(really) Minor:
* The Patch0 line and the "--add-category X-KDE-settings-network" are not
properly lined-up (tab instead of spaces)
Comment 12 Hugo Cisneiros 2006-05-25 06:11:32 EDT
Package updated:

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/knemo.spec
SRPM URL: 
http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/knemo-0.4.0-3.src.rpm

Changes:

- Removed vendor option from deskto-file-install (no renaming)

Notes:

> * Why drop the keywords from the desktop file ?

rpmbuild and desktop-file-install were complaining like hell about these 
keywords, so I got it out :)
Comment 13 Aurelien Bompard 2006-05-25 12:05:52 EDT
Review for release 3:
* RPM name is OK
* Source knemo-0.4.0.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED
Comment 14 Rex Dieter 2006-05-25 12:22:35 EDT
A couple of suggestions:
1) Since configure includes:
checking for ifconfig... /sbin/ifconfig
checking for iwconfig... /sbin/iwconfig

You'd best add:
# /sbin/iwconfig
BuildRequires: wireless-tools
# /sbin/ifconfig
BuildRequires: net-tools

2.  per the README:
IMPORTANT: KNemo is not an executable but an KDED service. Therefore
it has to be started using Control Center/KDE Components/Service Manager.

As such, this pkg probably ought to 
Requires: kdebase

3.  .desktop files
The categories are already properly set, the only one you should add is
--add-category=X-Fedora
(else it might accidentally show up in Gnome's menus somewhere).

4.  unowned %{_datadir}/apps/knemo, in %files, change
%{_datadir}/apps/knemo/eventsrc
to
%{_datadir}/apps/knemo


Comment 15 Aurelien Bompard 2006-05-25 13:09:16 EDT
(In reply to comment #14)
> You'd best add:
> # /sbin/iwconfig
> BuildRequires: wireless-tools
> # /sbin/ifconfig
> BuildRequires: net-tools

Agreed, the detection is done at compile time, not run time. Thus if you don't
have them during the build, you won't be able to use them afterwards, even if
knemo only calls them and parses the output.

> As such, this pkg probably ought to 
> Requires: kdebase
> The categories are already properly set, the only one you should add is
> --add-category=X-Fedora

Agreed.
 
> 4.  unowned %{_datadir}/apps/knemo

I can't believe I missed that...

Thanks Rex.
Comment 16 Hugo Cisneiros 2006-05-30 06:35:59 EDT
Thanks Rex! I followed the tips in your review and created a new release. It 
is now imported and built. Closing. Thanks Aurelien and all.

As I realized this too late, I imported and built (with Comment #14 changes) 
before getting into FE-ACCEPT again (as in Comment #13). I hope a final review 
returns good :-) And sorry for my little mistake.

Package updated:

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/knemo.spec
SRPM URL: 
http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/knemo-0.4.0-4.src.rpm

Changes:

- Created BuildRequires for the ifconfig and iwconfig commands,
  as knemo utilizes it for monitoring.
- Removed addition of categories in desktop-file-install command
Comment 17 Aurelien Bompard 2006-05-30 07:30:52 EDT
The changes are OK, APPROVED.
Comment 18 Hugo Cisneiros 2006-05-30 07:38:35 EDT
Ok, as I am not the original reporter of this bug, who can close it with 
resolution NEXTRELEASE? I can't.
Comment 19 Francois Aucamp 2007-04-16 09:30:13 EDT
Package Change Request
======================
Package Name: knemo
Updated Fedora Owners: faucamp@csir.co.za


Hugo Cisneiros (the previous maintainer of this package) is AWOL. As per this
discussion on the f-e-l, I will be maintaining this package from now on:

https://www.redhat.com/archives/fedora-extras-list/2007-March/msg00025.html

An email was also sent by Hans de Goede (j. w. r. degoede <at> hhs (dot) nl) to
cvsadmins@fedoraproject.org on 2007-03-02 with the final list of Hugo's
packages' new owners; I can forward this if necessary.

Please change owners.list and the ACLs to reflect this change? Thanks!

Note You need to log in before you can comment on or make changes to this bug.